## scalable-cyrfonts 4.7

=== Makefile ===
#    Copyright (C) 2000,2001,2003 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org


SHELL = /bin/bash

all:	build

unpack:
	-mkdir fonts
	-mkdir teams
	tar zxf teams-1.1.tar.gz -C teams
	cp teams/teams/Teams/*.{pfa,afm} fonts
	-mkdir urw
	tar jxf urw-fonts-1.0.7pre40-src.tar.bz2 -C urw
	cat fontnames | while read a b; do mv -v $$a $$b; done
	-mkdir oldslavic
	tar jxf oldslavic.tar.bz2 -C oldslavic
	cp oldslavic/*.{afm,pfb} fonts
	touch unpack

convert: unpack
	-mkdir texfonts
	./convert_fonts
	touch convert

t1-cyrillic-fonts.alias:	hint.awk hintinfo
	awk -f hint.awk -v cat=alias -v pkg=t1-cyrillic <hintinfo >$@

t1-teams-fonts.alias:	hint.awk hintinfo
	awk -f hint.awk -v cat=alias -v pkg=t1-teams <hintinfo >$@

t1-oldslavic-fonts.alias:	hint.awk hintinfo
	awk -f hint.awk -v cat=alias -v pkg=t1-oldslavic <hintinfo >$@

t1-cyrillic-fonts.scale:	hint.awk hintinfo
	awk -f hint.awk -v cat=scale -v pkg=t1-cyrillic <hintinfo >$@

t1-teams-fonts.scale:	hint.awk hintinfo
	awk -f hint.awk -v cat=scale -v pkg=t1-teams <hintinfo >$@

t1-oldslavic-fonts.scale:	hint.awk hintinfo
	awk -f hint.awk -v cat=scale -v pkg=t1-oldslavic <hintinfo >$@

fonts.alias: t1-cyrillic-fonts.alias t1-teams-fonts.alias t1-oldslavic-fonts.alias 

fonts.scale: t1-cyrillic-fonts.scale t1-teams-fonts.scale t1-oldslavic-fonts.scale 

build:	convert fonts.alias fonts.scale cyrfonts.map
	cd fontinst && $(MAKE) all
	touch build

cyrfonts.map:	hint.awk hintinfo
	awk -f hint.awk -v cat=texfontmap <hintinfo | sort >cyrfonts.map

clean:
	-rm -f unpack convert makeafm1 makeafm2 makeafm makeraw1 makeraw2 makeraw3 makepfa makepfb build
	-rm -rf *~
	-rm -rf teams urw oldslavic fonts
	-rm -rf RAW Teams URW afm1 raw1 raw3 afm2 raw2 afm pfa pfb doc
	-rm -f *fonts.alias *fonts.scale Fontmap cyrfonts.map
	-rm -rf fontinst/*.pfb fontinst/*.pfa
	-cd fontinst && $(MAKE) clean
	-rm -rf texfonts/ cidfonts/

checkroot:
	test root = "`whoami`"

.PHONY:	clean checkroot

=== fontinst/Makefile ===
#    Copyright (C) 2001,2002,2003 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org

# We need to overwrite the standard texmf.cnf in order to
# generate hugelatex.fmt
TEXMFCNF=.
export TEXMFCNF

SHELL = /bin/sh

GSFONTS = /usr/share/fonts/type1/gsfonts

CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst

TEXFACES = ftm fhv fcr fag fbk fnc fpl fta fsj fzc
TEXENCS = OT1 T1 TS1 T2A T2B T2C

#################################################################

all: plvplfd tfmvf

cyrfinstfiles = $(wildcard \
		$(CYRFINST)/*.etx \
		$(CYRFINST)/derivatives/*.etx \
		$(CYRFINST)/cyrillic.mtx \
		$(CYRFINST)/etc/fnstcorr.tex \
		$(CYRFINST)/etc/cyralias.tex \
		)

finst_myfiles = $(notdir $(cyrfinstfiles))

$(finst_myfiles): $(cyrfinstfiles)
	cp $(cyrfinstfiles) .
# If we use the original 6r.etx we have to distribute the corresponding
# 6r.enc.  Its copiright however is not specified.
	cp ../6r.etx . 

cyrfontinst: $(finst_myfiles)

copyafms:
	cp $(GSFONTS)/s050000l.afm psyr.afm
	for j in ../texfonts/*.afm; do \
		../shortenafm $$j >`basename $$j`; \
	done
	touch copyafms

copyall: $(finst_myfiles) copyafms
	touch copyall

face_mtx_tex = $(TEXFACES:%=%-mtx.tex)

$(face_mtx_tex) : face = $(@:%-mtx.tex=%)
$(face_mtx_tex) : makemtx.perl
	perl makemtx.perl $(face) 8a 6w >$@

latex_mtx: texmf.cnf copyall $(face_mtx_tex)
	set -e && for i in $(face_mtx_tex); do\
		latex $$i; \
	done
	touch latex_mtx

texmf.cnf: 99cyrfonts-build.cnf
	cp /etc/texmf/texmf.cnf .
	cat 99cyrfonts-build.cnf >> texmf.cnf

hugelatex.fmt: texmf.cnf 
	initex '\input hugelatex.ini \dump'

face_enc_tex = $(foreach enc, $(TEXENCS), $(addsuffix -$(enc).tex, $(TEXFACES)))
$(face_enc_tex) : face_enc = $(subst -,/,$(@:%.tex=%))
$(face_enc_tex) : face = $(subst /,,$(dir $(face_enc)))
$(face_enc_tex) : enc = $(notdir $(face_enc))
$(face_enc_tex): makefonts.perl latex_mtx
	perl makefonts.perl $(face) $(enc) >$@

latex_fonts: copyall latex_mtx hugelatex.fmt $(face_enc_tex)
	set -e && for i in $(face_enc_tex); do\
		virtex \&hugelatex $$i; \
	done
	touch latex_fonts

plvplfd: latex_fonts
	touch plvplfd

tfmvf:	plvplfd
	-rm psy*.pl psy*.vpl psy*.tfm psy*.vf
	for f in *.vpl; do vptovf $$f; done
	for f in *.pl; do pltotf $$f; done
	touch tfmvf

.PHONY: clean
clean:
	-rm -f latex_mtx latex_fonts copyafms tfmvf copyall plvplfd
	-rm -f $(finst_myfiles)
	-rm -f makefonts.tex cyrfonts.map
	-rm -f $(face_enc_tex) $(face_mtx_tex)
	-rm -f *.etx *.mtx fnstcorr.tex cyralias.tex
	-rm -f *.afm *.pl *.tfm *.mtx *.fd *.vpl *.vf *.log
	-rm -f *~
	-rm -f hugelatex.fmt hugelatex.log hugelatex.aux texsys.aux
	-rm texmf.cnf

=== debian/changelog ===
scalable-cyrfonts (4.7) unstable; urgency=low

  * New upstream version of the URW fonts.  Thanks to Mashrab Kuvatov,
    closes: #281726.
      - integrated Serbian glyphs by Danilo Segan, thanks to Stefan
        Baums, closes: #275214;
      - fixed some Russian Cyrillic glyphs and width in NumbusMono (Free
        Courier); 
      - fixed bug that brokes printing from Qt;
      - added vietnamese glyphs by The Thanh Han;
      - applied Mashrab changes/additions for Uzbek, Tajik and other Asian
        Cyrillic alphabets;
      - fixed glyph names on Chancery so that Macedonian glyphs are in
        place now (by Damjan);
      - wided germandbls in NimbusSansReg/Obli (Free Helvetian).
      - fixed fi/fl ligatures (separated back as suggested by Ralf
        Stubner.  I hope this closes: #237425, thanks to Victor Porton.
  * Do not patch the URW fonts for Serbian glyphs - the patch is applied
    upstream
  * Correct the description of the scalable-cyrfonts-tex package.
    Describe the relations between this package and t1-cyrillic, t1-teams
    and t1-oldslavic.  Add suggests to these packages.  Thanks to Andreas
    Metzler, closes: #284212.
  * Update the copyright file.
  * Rename the font file names to keep them same as in the previous
    version.  Due to limitations of Defoma the font file name may not
    change.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed, 29 Dec 2004 11:46:20 +0200

scalable-cyrfonts (4.6) unstable; urgency=low

  * Install fonts again in the X11R6 hierarchy.  Thanks to Eugeniy
    Meshcheryakov and Joshua Kwan, closes: #270081, #270346.

 -- Anton Zinoviev <zinoviev@debian.org>  Wed,  8 Sep 2004 23:02:26 +1000

scalable-cyrfonts (4.5) unstable; urgency=low

  * Apply patch by Frank Küster to use generated texmf.cnf.  Thanks to
    Roland Stigge, Florian Ernst, Frank Küster and Alastair McKinstry,
    closes: #265861.
  * Do not install fonts in X11R6 hierarchy.  Thanks to Florian Ernst.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 26 Aug 2004 11:31:48 +0300

scalable-cyrfonts (4.4) unstable; urgency=low

  * s/pfaedit/fontforge/g.  Thanks to Daniel Schepler, closes: #250467.
  * Removed README.font_chages
  * scalable-cyrfonts-tex.README.Debian: write that for unknown reason the
    DVI viewers don't see the fonts.  The users have to convert the DVI
    files to postscript or use pdftex/pdflatex.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 15 Jul 2004 12:08:55 +0300

=== debian/control ===
Source: scalable-cyrfonts
Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: text
Priority: optional
Standards-Version: 3.5.10
Build-Depends: debhelper (>=3.0), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, tetex-src (>=1.0.2+20021025-1), zip, sysutils
Build-Depends-Indep: defoma (>= 0.7.0)

Package: t1-cyrillic
Architecture: all
Description: A basic set of free PostScript fonts
 This package includes free Type1 fonts for the following font
 families: Free Times, Free Helvetian, Free Helvetian Condensed, Free
 Courier, Free Avant Garde, Free Paladin, Free Schoolbook, Free
 Bookman and Free Chancery.
 .
 These fonts cover the Latin1 and Latin2 character sets and partially
 the most popular Cyrillic character sets.
 .
 The fonts look like the fonts in the Adobe basic set of PostScript
 fonts, but the font names are customized to avoid any trademark
 infringements.
Section: x11
Priority: optional
Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
Recommends: xfs (>=4.0) | xserver-xfree86
Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

Package: t1-teams
Architecture: all
Description: Teams -- a PostScript font covering ASCII and basic Cyrillic
 This is a Type1 font family (with regular, bold, slanted and
 slanted-bold faces) developed by TopTeam Co. -- a Bulgarian
 publishing house.  They use it to publish their newspapers and
 magazines.
 .
 These fonts cover only the English Latin characters and the
 Bulgarian and Russian Cyrillic characters.
Section: x11
Priority: optional
Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
Recommends: xfs (>=4.0) | xserver-xfree86
Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

Package: t1-oldslavic
Architecture: all
Description: OldSlavic -- a Cyrillic Type1 font with medieval design
 The letters in this font resemble the look of the the medieval
 Cyrillic printed books.
 .
 This font is not for general use.  It contains only the basic
 Cyrillic and Latin letters; there are almost no punctuation signs in
 it.
Section: text
Priority: optional
Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
Recommends: xfs (>=4.0) | xserver-xfree86
Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

Package: scalable-cyrfonts-tex
Architecture: all
Description: Scalable Cyrillic fonts for TeX
 This package installs all needed TeX font metcic files, virtual
 fonts, font definitions and some style packages in order to provide
 TeX with the following font families: Free Times, Free Helvetian,
 Free Helvetian Condensed, Free Courier, Free Avant Garde, Free
 Paladin, Free Schoolbook, Free Bookman, Free Chancery, Teams and
 OldSlavic.
 .
 If you want to have these font families available to X11 and
 Defoma-aware applications (Ghostscript, Grace, SciGraphica) then
 please install the packages t1-cyrillic, t1-teams and t1-oldslavic.
 .
 In order to make this package functional please read the file
 /usr/share/doc/scalable-cyrfonts-tex/README.Debian.
Section: tex
Priority: optional
Depends: tetex-base, tetex-bin
Suggests: t1-cyrillic, t1-teams, t1-oldslavic

=== debian/rules ===
#!/usr/bin/make -f

#    Copyright (C) 2000,2001,2002,2003 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is zinoviev@debian.org

DH_COMPAT=3
export DH_COMPAT

SHELL = /bin/bash
TEXMFROOT = usr/share/texmf
PSFONTSROOT = /usr/share/fonts/type1
TTFFONTS = usr/share/fonts/truetype
CIDFONTS = usr/share/fonts/CID
XFONTS = /usr/X11R6/lib/X11/fonts
TYPE1FORMAT = pfb
texpackage = scalable-cyrfonts-tex

build:
	dh_testdir
	-rm -f installdirs
	$(MAKE)
	-rm -rf fontinst2
	mkdir fontinst2
	cp fontinst/*.sty fontinst/*.fd fontinst/*.vf fontinst/*.tfm fontinst2
	-rm fontinst2/psyr*
	touch build

clean:
	dh_testdir
	-$(MAKE) clean
	-rm -rf fontinst2
	-rm -rf debian/cyrfonts-X debian/cyrfonts-win
	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
	-rm -f build firstbuild
	-rm -f debian/*.defoma-hints
	-rm -f installdirs
	dh_clean

cyrfonts-X.tar.gz: install-X
	tar cf cyrfonts-X.tar -C debian cyrfonts-X
	gzip -9 cyrfonts-X.tar

cyrfonts-win.zip: install-win
	zip -j cyrfonts-win.zip debian/cyrfonts-win/*

install-base: package = t1-cyrillic
install-base: fontdir = cyrillic
install-teams: package = t1-teams
install-teams: fontdir = teams
install-oldslavic: package = t1-oldslavic
install-oldslavic: fontdir = oldslavic

install-base install-teams install-oldslavic: fontbasenames = $(shell awk -f hint.awk -v cat=fontnames -v pkg=$(package) <hintinfo)

fontnames = $(addprefix fonts/, $(addsuffix .$(TYPE1FORMAT), $(fontbasenames)))
afmnames = $(addprefix fonts/, $(addsuffix .afm, $(fontbasenames)))
fonts = $(fontnames) $(afmnames)

install-base install-teams install-oldslavic: installdirs
	awk -f hint.awk -v cat=type1 -v pkg=$(package) <hintinfo >debian/$(package).defoma-hints
	install -d debian/$(package)/$(PSFONTSROOT)/$(fontdir)/
	cp $(fonts) debian/$(package)/$(PSFONTSROOT)/$(fontdir)/
	install -d debian/$(package)/etc/X11/fonts/Type1
	cp $(package)-fonts.scale debian/$(package)/etc/X11/fonts/Type1/$(package).scale
	cp $(package)-fonts.alias debian/$(package)/etc/X11/fonts/Type1/$(package).alias
	for j in $(fonts) ; do \
		i=`basename $$j`; \
		dh_link -p$(package) $(PSFONTSROOT)/$(fontdir)/$$i $(XFONTS)/Type1/$$i; \
	done

install-X: installdirs
	install -d debian/cyrfonts-X/
	cp fonts/*.{pfb,afm} debian/cyrfonts-X/
	tail -n +2 -q *.scale | wc -l >debian/cyrfonts-X/fonts.scale
	tail -n +2 -q *.scale >>debian/cyrfonts-X/fonts.scale
	cat *.alias >>debian/cyrfonts-X/fonts.alias
	for doc in debian/*.docs; do \
		pkg=`basename $$doc .docs`; \
		pkg=$${pkg#t1-}; \
		install -d debian/cyrfonts-X/doc-$$pkg; \
		for file in `cat $$doc`; do \
			cp $$file debian/cyrfonts-X/doc-$$pkg/; \
		done; \
	done
	cp debian/copyright debian/cyrfonts-X/COPYRIGHT
	cp /usr/share/common-licenses/GPL debian/cyrfonts-X

install-win: installdirs
	install -d debian/cyrfonts-win/
	cp fonts/*.{ttf,pfm} debian/cyrfonts-win/
	for doc in debian/*.docs; do \
		pkg=`basename $$doc .docs`; \
		pkg=$${pkg#t1-}; \
		install -d debian/cyrfonts-win/doc-$$pkg; \
		for file in `cat $$doc`; do \
			cp $$file debian/cyrfonts-win/doc-$$pkg/; \
			todos debian/cyrfonts-win/doc-$$pkg/`basename $$file` ; \
		done; \
	done
	cp debian/copyright debian/cyrfonts-win/COPYRIGHT
	todos debian/cyrfonts-win/COPYRIGHT
	cp /usr/share/common-licenses/GPL debian/cyrfonts-win
	todos debian/cyrfonts-win/GPL

install-tex: installdirs
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips
	cp cyrfonts.map debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
	cp 6r.enc debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
	cp texfonts/*.$(TYPE1FORMAT) debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
	cp texfonts/*.afm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)
	cp fontinst2/*.tfm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(texpackage)
	cp fontinst2/*.vf debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(texpackage)/
	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss
	cp fontinst2/*.fd debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
	cp fontinst2/*.sty debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/

install: install-base install-teams install-oldslavic install-tex

installdirs: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	touch installdirs

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installxfonts
	dh_installdefoma
	dh_installdocs
	dh_installchangelogs
#	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch

#.PHONY: build clean binary-indep binary-arch binary install

## scalable-cyrfonts 4.8

=== Makefile ===
--- 
+++ 
@@ -61,19 +61,20 @@
 
 fonts.scale: t1-cyrillic-fonts.scale t1-teams-fonts.scale t1-oldslavic-fonts.scale 
 
-build:	convert fonts.alias fonts.scale cyrfonts.map
+build:	convert fonts.alias fonts.scale scalable-cyrfonts-tex.map
 	cd fontinst && $(MAKE) all
 	touch build
 
-cyrfonts.map:	hint.awk hintinfo
-	awk -f hint.awk -v cat=texfontmap <hintinfo | sort >cyrfonts.map
+scalable-cyrfonts-tex.map:	hint.awk hintinfo
+	awk -f hint.awk -v cat=texfontmap <hintinfo | sort >scalable-cyrfonts-tex.map
+	echo '# -_- DebPkgProvidedMaps -_-' >>scalable-cyrfonts-tex.map
 
 clean:
 	-rm -f unpack convert makeafm1 makeafm2 makeafm makeraw1 makeraw2 makeraw3 makepfa makepfb build
 	-rm -rf *~
 	-rm -rf teams urw oldslavic fonts
 	-rm -rf RAW Teams URW afm1 raw1 raw3 afm2 raw2 afm pfa pfb doc
-	-rm -f *fonts.alias *fonts.scale Fontmap cyrfonts.map
+	-rm -f *fonts.alias *fonts.scale Fontmap scalable-cyrfonts-tex.map
 	-rm -rf fontinst/*.pfb fontinst/*.pfa
 	-cd fontinst && $(MAKE) clean
 	-rm -rf texfonts/ cidfonts/

=== debian/changelog ===
scalable-cyrfonts (4.8) unstable; urgency=low

  * Use "tex --ini" instead of initex and "tex" instead of "virtex"
    because the new tetex-bin from experimental lacks "virtex" and
    "initex" (see #329972).
  * Include two versions of the T2 package in the source package and use
    cyrfinst from them insted of the version of cyrfinst from tetex-src -
    one of the versions is for use with the older fontinst and another for
    use with the newer.  Remove build-dependency on tetex-src.  This
    closes: #322433, thanks to Frank Küster.
  * Register the fonts acording to the TeX package policy.  This makes
    unnecessary for the user to edit the configuration files in /etc/texmf
    in order to use this package.  Thanks to Andrey Kiselev,
    closes: #312916.
  * Generate TeX fonts for OT2 encoding also.  Thanks to Joerg Friedrich,
    closes: #296455.
  * Check for the existence of /etc/fonts/fonts.conf in t1-*.postinst.
    Thanks to Nikita Youshchenko, closes: #303695.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 25 Sep 2005 22:19:44 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: text
 Priority: optional
 Standards-Version: 3.5.10
-Build-Depends: debhelper (>=3.0), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, tetex-src (>=1.0.2+20021025-1), zip, sysutils
+Build-Depends: debhelper (>=3.0), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, zip, sysutils
 Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic

=== debian/rules ===
--- 
+++ 
@@ -118,8 +118,13 @@
 	todos debian/cyrfonts-win/GPL
 
 install-tex: installdirs
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips
-	cp cyrfonts.map debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
+	install -d debian/scalable-cyrfonts-tex/etc/texmf/updmap.d/
+	cp debian/90scalable-cyrfonts-tex.cfg debian/scalable-cyrfonts-tex/etc/texmf/updmap.d/90scalable-cyrfonts-tex.cfg
+	install -d debian/scalable-cyrfonts-tex/etc/texmf/map/dvips
+	cp scalable-cyrfonts-tex.map debian/scalable-cyrfonts-tex/etc/texmf/map/dvips/scalable-cyrfonts-tex.map
+	dh_link -p scalable-cyrfonts-tex etc/texmf/map/dvips/scalable-cyrfonts-tex.map $(TEXMFROOT)/dvips/scalable-cyrfonts-tex.map
+	install -d debian/scalable-cyrfonts-tex/var/lib/tex-common/fontmap-cfg/
+	echo 90scalable-cyrfonts-tex >debian/scalable-cyrfonts-tex/var/lib/tex-common/fontmap-cfg/scalable-cyrfonts-tex.list
 	cp 6r.enc debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
 	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
 	cp texfonts/*.$(TYPE1FORMAT) debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/

## scalable-cyrfonts 4.10

=== debian/changelog ===
scalable-cyrfonts (4.10) unstable; urgency=low

  * Place the fonts in new X.org directories.  This was not urgent for
    these packages, but at last: thanks to Joey Hess, 
    closes: #362335, #362336, #362333.
  * Updated standards version (3.6.6.2).
  * Change Build-Dependency from sysutils to tofrodos.  Thanks to Matej
    Vela, closes: #382172.
  * Use dh_installtex, conform with the Debian TeX sub-policy, move files
    as suggested by Frank Küster.  Thanks to Frank Küster, Juhapekka
    Tolvanen and Yavor Doganov, closes: #338723, #368880, #353887.
  * Fix in the script generating the map file a bug causing unexisting
    fonts to be used.  Thanks to Javor_nik, closes: #346225.
  * Updated Standards-Version (3.7.2)

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 24 Sep 2006 23:07:28 +0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
-Standards-Version: 3.5.10
-Build-Depends: debhelper (>=3.0), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, zip, sysutils
+Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, zip, tofrodos, xfonts-utils
 Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic
@@ -78,5 +78,5 @@
  /usr/share/doc/scalable-cyrfonts-tex/README.Debian.
 Section: tex
 Priority: optional
-Depends: tetex-base, tetex-bin
+Depends: ${misc:Depends}
 Suggests: t1-cyrillic, t1-teams, t1-oldslavic

## scalable-cyrfonts 4.10-0.1

=== fontinst/Makefile ===
--- 
+++ 
@@ -25,12 +25,25 @@
 
 GSFONTS = /usr/share/fonts/type1/gsfonts
 
-CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst
+FONTINST_VERSION = $(shell dpkg --status tetex-bin|grep ^Version: \
+			| sed 's/.* //')
+
+NEW_FONTINST = $(shell dpkg --compare-versions 3.0 gt $(FONTINST_VERSION) \
+			|| echo yes)
+
+#CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst
+
+NEW_CYRFINST = ../t2/cyrfinst
+OLD_CYRFINST = ../t2-991215/cyrfinst
+CYRFINST = $(if $(NEW_FONTINST), $(NEW_CYRFINST), $(OLD_CYRFINST))
 
 TEXFACES = ftm fhv fcr fag fbk fnc fpl fta fsj fzc
-TEXENCS = OT1 T1 TS1 T2A T2B T2C
+TEXENCS = OT1 OT2 T1 TS1 T2A T2B T2C
 
 #################################################################
+
+proba:
+	echo $(CYRFINST)
 
 all: plvplfd tfmvf
 
@@ -79,7 +92,7 @@
 	cat 99cyrfonts-build.cnf >> texmf.cnf
 
 hugelatex.fmt: texmf.cnf 
-	initex '\input hugelatex.ini \dump'
+	tex --ini '\input hugelatex.ini \dump'
 
 face_enc_tex = $(foreach enc, $(TEXENCS), $(addsuffix -$(enc).tex, $(TEXFACES)))
 $(face_enc_tex) : face_enc = $(subst -,/,$(@:%.tex=%))
@@ -90,7 +103,7 @@
 
 latex_fonts: copyall latex_mtx hugelatex.fmt $(face_enc_tex)
 	set -e && for i in $(face_enc_tex); do\
-		virtex \&hugelatex $$i; \
+		tex \&hugelatex $$i; \
 	done
 	touch latex_fonts

=== debian/changelog ===
scalable-cyrfonts (4.10-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Replace dependency on xutils by ${misc:Depends} to fix dependencies.
    Closes: #405630

 -- Andreas Barth <aba@not.so.argh.org>  Wed, 10 Jan 2007 19:18:16 +0000

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  infringements.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
+Depends: defoma (>= 0.5.0), ${misc:Depends}
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -39,7 +39,7 @@
  Bulgarian and Russian Cyrillic characters.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
+Depends: defoma (>= 0.5.0), ${misc:Depends}
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -55,7 +55,7 @@
  it.
 Section: text
 Priority: optional
-Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
+Depends: defoma (>= 0.5.0), ${misc:Depends}
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 #    My e-mail is zinoviev@debian.org
 
-DH_COMPAT=3
+DH_COMPAT=5
 export DH_COMPAT
 
 SHELL = /bin/bash
@@ -26,7 +26,7 @@
 PSFONTSROOT = /usr/share/fonts/type1
 TTFFONTS = usr/share/fonts/truetype
 CIDFONTS = usr/share/fonts/CID
-XFONTS = /usr/X11R6/lib/X11/fonts
+XFONTS = /usr/share/fonts/X11
 TYPE1FORMAT = pfb
 texpackage = scalable-cyrfonts-tex
 
@@ -118,25 +118,22 @@
 	todos debian/cyrfonts-win/GPL
 
 install-tex: installdirs
-	install -d debian/scalable-cyrfonts-tex/etc/texmf/updmap.d/
-	cp debian/90scalable-cyrfonts-tex.cfg debian/scalable-cyrfonts-tex/etc/texmf/updmap.d/90scalable-cyrfonts-tex.cfg
-	install -d debian/scalable-cyrfonts-tex/etc/texmf/map/dvips
-	cp scalable-cyrfonts-tex.map debian/scalable-cyrfonts-tex/etc/texmf/map/dvips/scalable-cyrfonts-tex.map
-	dh_link -p scalable-cyrfonts-tex etc/texmf/map/dvips/scalable-cyrfonts-tex.map $(TEXMFROOT)/dvips/scalable-cyrfonts-tex.map
-	install -d debian/scalable-cyrfonts-tex/var/lib/tex-common/fontmap-cfg/
-	echo 90scalable-cyrfonts-tex >debian/scalable-cyrfonts-tex/var/lib/tex-common/fontmap-cfg/scalable-cyrfonts-tex.list
-	cp 6r.enc debian/scalable-cyrfonts-tex/$(TEXMFROOT)/dvips/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
-	cp texfonts/*.$(TYPE1FORMAT) debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
-	cp texfonts/*.afm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)
-	cp fontinst2/*.tfm debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(texpackage)
-	cp fontinst2/*.vf debian/scalable-cyrfonts-tex/$(TEXMFROOT)/fonts/vf/public/$(texpackage)/
-	install -d debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss
-	cp fontinst2/*.fd debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
-	cp fontinst2/*.sty debian/scalable-cyrfonts-tex/$(TEXMFROOT)/tex/latex/psnfss/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/map/dvips/$(texpackage)/
+	cp scalable-cyrfonts-tex.map debian/$(texpackage)/$(TEXMFROOT)/fonts/map/dvips/$(texpackage)/$(texpackage).map 
+	dh_installtex -p $(texpackage) map=Map,scalable-cyrfonts-tex.map
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/enc/dvips/$(texpackage)
+	cp 6r.enc debian/$(texpackage)/$(TEXMFROOT)/fonts/enc/dvips/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
+	cp texfonts/*.$(TYPE1FORMAT) debian/$(texpackage)/$(TEXMFROOT)/fonts/type1/public/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
+	cp texfonts/*.afm debian/$(texpackage)/$(TEXMFROOT)/fonts/afm/public/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)
+	cp fontinst2/*.tfm debian/$(texpackage)/$(TEXMFROOT)/fonts/tfm/public/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/fonts/vf/public/$(texpackage)
+	cp fontinst2/*.vf debian/$(texpackage)/$(TEXMFROOT)/fonts/vf/public/$(texpackage)/
+	install -d debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)
+	cp fontinst2/*.fd debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
+	cp fontinst2/*.sty debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
 
 install: install-base install-teams install-oldslavic install-tex
 
@@ -151,6 +148,23 @@
 	dh_testdir
 	dh_testroot
 	dh_installxfonts
+# A hack due to a bug in debhelper.  When the hack is removed
+# etc/X11/fonts should be replaced everywhere by etc/X11/fonts/X11R7
+	tmp=`tempfile` && \
+	for script in debian/*.debhelper; do \
+		sed \
+			-e 's/update-fonts-\(dir\|alias\|scale\)  *\(-7 \|--x11r7-layout \)\?/update-fonts-\1 --x11r7-layout /g' \
+			-e 's/\(which  *update-fonts-\(dir\|alias\|scale\) \) *\(-7\|--x11r7-layout\)/\1/g' \
+			$$script >$$tmp && \
+		cat $$tmp >$$script; \
+	done && \
+	rm $$tmp
+	for dir in debian/*/etc/X11/fonts; do \
+		mkdir X11R7; \
+		mv $$dir/* X11R7/; \
+		mv X11R7 $$dir/; \
+	done
+# End of the hack. 
 	dh_installdefoma
 	dh_installdocs
 	dh_installchangelogs

## scalable-cyrfonts 4.11

=== debian/changelog ===
scalable-cyrfonts (4.11) unstable; urgency=low

  * Add Build-Dependency on texlive-font-utils.  Closes: #422480.  Thanks
    to Jérémy Bobbio for reporting the problem and to Cyril Brulebois for
    fixing it.
  * In debian/rules remove an obsoleted hack to overcome a bug in
    dh_installxfonts.
  * Use debian/compat instead of DH_COMPAT.
  * Do not install in /usr/share/fonts/type1.  Install directly in
    /usr/share/fonts/X11/Type1.
  * Invoke fc-cache or xftcache both on /usr/X11R6/lib/X11/fonts/Type1 and
    /usr/share/fonts/X11/Type1.
  
 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 16 Jul 2007 10:58:46 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Section: text
 Priority: optional
 Standards-Version: 3.7.2
-Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, tetex-bin, zip, tofrodos, xfonts-utils
+Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils
 Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic
@@ -22,7 +22,7 @@
  infringements.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -39,7 +39,7 @@
  Bulgarian and Russian Cyrillic characters.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -55,7 +55,7 @@
  it.
 Section: text
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

=== debian/rules ===
--- 
+++ 
@@ -18,15 +18,11 @@
 
 #    My e-mail is zinoviev@debian.org
 
-DH_COMPAT=5
-export DH_COMPAT
-
 SHELL = /bin/bash
 TEXMFROOT = usr/share/texmf
-PSFONTSROOT = /usr/share/fonts/type1
+PSFONTSROOT = /usr/share/fonts/X11/Type1
 TTFFONTS = usr/share/fonts/truetype
 CIDFONTS = usr/share/fonts/CID
-XFONTS = /usr/share/fonts/X11
 TYPE1FORMAT = pfb
 texpackage = scalable-cyrfonts-tex
 
@@ -59,11 +55,8 @@
 	zip -j cyrfonts-win.zip debian/cyrfonts-win/*
 
 install-base: package = t1-cyrillic
-install-base: fontdir = cyrillic
 install-teams: package = t1-teams
-install-teams: fontdir = teams
 install-oldslavic: package = t1-oldslavic
-install-oldslavic: fontdir = oldslavic
 
 install-base install-teams install-oldslavic: fontbasenames = $(shell awk -f hint.awk -v cat=fontnames -v pkg=$(package) <hintinfo)
 
@@ -73,15 +66,11 @@
 
 install-base install-teams install-oldslavic: installdirs
 	awk -f hint.awk -v cat=type1 -v pkg=$(package) <hintinfo >debian/$(package).defoma-hints
-	install -d debian/$(package)/$(PSFONTSROOT)/$(fontdir)/
-	cp $(fonts) debian/$(package)/$(PSFONTSROOT)/$(fontdir)/
+	install -d debian/$(package)/$(PSFONTSROOT)/
+	cp $(fonts) debian/$(package)/$(PSFONTSROOT)/
 	install -d debian/$(package)/etc/X11/fonts/Type1
 	cp $(package)-fonts.scale debian/$(package)/etc/X11/fonts/Type1/$(package).scale
 	cp $(package)-fonts.alias debian/$(package)/etc/X11/fonts/Type1/$(package).alias
-	for j in $(fonts) ; do \
-		i=`basename $$j`; \
-		dh_link -p$(package) $(PSFONTSROOT)/$(fontdir)/$$i $(XFONTS)/Type1/$$i; \
-	done
 
 install-X: installdirs
 	install -d debian/cyrfonts-X/
@@ -148,23 +137,6 @@
 	dh_testdir
 	dh_testroot
 	dh_installxfonts
-# A hack due to a bug in debhelper.  When the hack is removed
-# etc/X11/fonts should be replaced everywhere by etc/X11/fonts/X11R7
-	tmp=`tempfile` && \
-	for script in debian/*.debhelper; do \
-		sed \
-			-e 's/update-fonts-\(dir\|alias\|scale\)  *\(-7 \|--x11r7-layout \)\?/update-fonts-\1 --x11r7-layout /g' \
-			-e 's/\(which  *update-fonts-\(dir\|alias\|scale\) \) *\(-7\|--x11r7-layout\)/\1/g' \
-			$$script >$$tmp && \
-		cat $$tmp >$$script; \
-	done && \
-	rm $$tmp
-	for dir in debian/*/etc/X11/fonts; do \
-		mkdir X11R7; \
-		mv $$dir/* X11R7/; \
-		mv X11R7 $$dir/; \
-	done
-# End of the hack. 
 	dh_installdefoma
 	dh_installdocs
 	dh_installchangelogs

## scalable-cyrfonts 4.12

=== debian/changelog ===
scalable-cyrfonts (4.12) unstable; urgency=low

  * Export FONTFORGE_LANGUAGE=pe variable for fontforge in convert_fonts.
    Thanks to Lucas Nussbaum for reporting this bug and to Gregory Colpart
    for providing a solution.  Closes: #442970.
  * Do not ignore sub-make errors in the clean target in debian/rules.
  * Updated standards-version: 3.7.3

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 17 Feb 2008 21:52:36 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
-Standards-Version: 3.7.2
+Standards-Version: 3.7.3
 Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils
 Build-Depends-Indep: defoma (>= 0.7.0)

## scalable-cyrfonts 4.12+nmu2

=== debian/changelog ===
scalable-cyrfonts (4.12+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Urgency medium due to lenny-goal bug fix.
  * Clear obsolete conffiles that were left over from etch for t1-cyrillic,
    t1-oldslavic and t1-teams. Closes: #455040, #455042, #455043.

 -- Theppitak Karoonboonyanan <thep@linux.thai.net>  Mon, 24 Nov 2008 16:11:38 +0700

scalable-cyrfonts (4.12+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * Reintroduce 4.10-0.1 NMU, which was lost during later merge by maintainer:
    Drop direct dependency on xutils (Closes: #405630)

 -- Moritz Muehlenhoff <jmm@debian.org>  Fri, 22 Aug 2008 15:06:26 +0200

=== debian/control ===
--- 
+++ 
@@ -22,7 +22,7 @@
  infringements.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
+Depends: defoma (>= 0.5.0), ${misc:Depends}
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -39,7 +39,7 @@
  Bulgarian and Russian Cyrillic characters.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
+Depends: defoma (>= 0.5.0), ${misc:Depends}
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -55,7 +55,7 @@
  it.
 Section: text
 Priority: optional
-Depends: defoma (>= 0.5.0), xutils (>> 4.0.3)
+Depends: defoma (>= 0.5.0), ${misc:Depends}
 Recommends: xfs (>=4.0) | xserver-xfree86
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 
 clean:
 	dh_testdir
-	-$(MAKE) clean
+	$(MAKE) clean
 	-rm -rf fontinst2
 	-rm -rf debian/cyrfonts-X debian/cyrfonts-win
 	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip

## scalable-cyrfonts 4.13

=== fontinst/Makefile ===
--- 
+++ 
@@ -25,11 +25,13 @@
 
 GSFONTS = /usr/share/fonts/type1/gsfonts
 
-FONTINST_VERSION = $(shell dpkg --status tetex-bin|grep ^Version: \
-			| sed 's/.* //')
+# FONTINST_VERSION = $(shell dpkg --status tetex-bin|grep ^Version: \
+# 			| sed 's/.* //')
 
-NEW_FONTINST = $(shell dpkg --compare-versions 3.0 gt $(FONTINST_VERSION) \
-			|| echo yes)
+# NEW_FONTINST = $(shell dpkg --compare-versions 3.0 gt $(FONTINST_VERSION) \
+# 			|| echo yes)
+
+NEW_FONTINST = yes
 
 #CYRFINST = /usr/share/texmf/source/latex/t2/cyrfinst

=== debian/changelog ===
scalable-cyrfonts (4.13) unstable; urgency=low

  * Include cyrfonts-win.zip and cyrfonts-X.tar.gz in the source package
    in order to assist users on other OS.  Thanks to Roland Hughes.
  * Correct directory in the hint files.  Thanks to Jakob Bohm, Ionut
    Georgescu, Drew Parsons and Ryo Furue,
    closes: #551503, #551504, #551505, #410766.
  * Add build-dependency on tex-common (>= 1.18).  Thanks to Manoj
    Srivastava, closes: #553574.
  * Do not recommend xfs.  Suggest xfs | xserver.  Thanks to Yavor
    Doganov, closes: #546295.
  * fontinst/Makefile: Assume that new fontinst is installed and use
    t2/cyrfinst.
  * Updated standards-version, remove duplicated word from the description
    of t1-oldslavic.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 06 Nov 2009 15:35:09 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
-Standards-Version: 3.7.3
-Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils
+Standards-Version: 3.8.1
+Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
 Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic
@@ -23,7 +23,7 @@
 Section: x11
 Priority: optional
 Depends: defoma (>= 0.5.0), ${misc:Depends}
-Recommends: xfs (>=4.0) | xserver-xfree86
+Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
 
@@ -40,15 +40,15 @@
 Section: x11
 Priority: optional
 Depends: defoma (>= 0.5.0), ${misc:Depends}
-Recommends: xfs (>=4.0) | xserver-xfree86
+Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
 
 Package: t1-oldslavic
 Architecture: all
 Description: OldSlavic -- a Cyrillic Type1 font with medieval design
- The letters in this font resemble the look of the the medieval
- Cyrillic printed books.
+ The letters in this font resemble the look of the medieval Cyrillic
+ printed books.
  .
  This font is not for general use.  It contains only the basic
  Cyrillic and Latin letters; there are almost no punctuation signs in
@@ -56,7 +56,7 @@
 Section: text
 Priority: optional
 Depends: defoma (>= 0.5.0), ${misc:Depends}
-Recommends: xfs (>=4.0) | xserver-xfree86
+Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

=== debian/rules ===
--- 
+++ 
@@ -41,7 +41,7 @@
 	$(MAKE) clean
 	-rm -rf fontinst2
 	-rm -rf debian/cyrfonts-X debian/cyrfonts-win
-	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
+#	-rm -f cyrfonts-X.tar.gz cyrfonts-win.zip
 	-rm -f build firstbuild
 	-rm -f debian/*.defoma-hints
 	-rm -f installdirs
@@ -49,10 +49,10 @@
 
 cyrfonts-X.tar.gz: install-X
 	tar cf cyrfonts-X.tar -C debian cyrfonts-X
-	gzip -9 cyrfonts-X.tar
+	gzip -9f cyrfonts-X.tar
 
 cyrfonts-win.zip: install-win
-	zip -j cyrfonts-win.zip debian/cyrfonts-win/*
+	cd debian/cyrfonts-win && zip -r ../../cyrfonts-win.zip *
 
 install-base: package = t1-cyrillic
 install-teams: package = t1-teams
@@ -91,7 +91,7 @@
 
 install-win: installdirs
 	install -d debian/cyrfonts-win/
-	cp fonts/*.{ttf,pfm} debian/cyrfonts-win/
+	cp fonts/*.ttf debian/cyrfonts-win/
 	for doc in debian/*.docs; do \
 		pkg=`basename $$doc .docs`; \
 		pkg=$${pkg#t1-}; \
@@ -124,7 +124,7 @@
 	cp fontinst2/*.fd debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
 	cp fontinst2/*.sty debian/$(texpackage)/$(TEXMFROOT)/tex/latex/$(texpackage)/
 
-install: install-base install-teams install-oldslavic install-tex
+install: install-base install-teams install-oldslavic install-tex cyrfonts-X.tar.gz cyrfonts-win.zip
 
 installdirs: build
 	dh_testdir

## scalable-cyrfonts 4.14

=== debian/changelog ===
scalable-cyrfonts (4.14) unstable; urgency=low

  * Transition away from defoma.  Thanks to Paul Wise, closes: #649832.
    Thanks to Christian PERRIER for the patch.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 29 Nov 2011 14:24:33 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Priority: optional
 Standards-Version: 3.8.1
 Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
-Build-Depends-Indep: defoma (>= 0.7.0)
 
 Package: t1-cyrillic
 Architecture: all
@@ -22,7 +21,7 @@
  infringements.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -39,7 +38,7 @@
  Bulgarian and Russian Cyrillic characters.
 Section: x11
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts
@@ -55,7 +54,7 @@
  it.
 Section: text
 Priority: optional
-Depends: defoma (>= 0.5.0), ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
 Replaces: scalable-cyrfonts-x11, scalable-cyrfonts

## scalable-cyrfonts 4.14ubuntu1

=== debian/changelog ===
scalable-cyrfonts (4.14ubuntu1) precise; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on a
    new enough version of dpkg rather than using 'dpkg-maintscript-helper
    supports' guards, leading to more predictable behaviour on upgrades.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 13 Feb 2012 14:31:16 +0000

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: scalable-cyrfonts
-Maintainer: Anton Zinoviev <zinoviev@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
 Standards-Version: 3.8.1
-Build-Depends: debhelper (>= 5.0.31), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
+Build-Depends: debhelper (>= 8.1.0~), tar (>=1.13.18), bzip2, fontforge, gsfonts, zip, tofrodos, xfonts-utils, texlive, texlive-font-utils, tex-common (>= 1.18)
 
 Package: t1-cyrillic
 Architecture: all
@@ -21,6 +22,7 @@
  infringements.
 Section: x11
 Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
@@ -38,6 +40,7 @@
  Bulgarian and Russian Cyrillic characters.
 Section: x11
 Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts
@@ -54,6 +57,7 @@
  it.
 Section: text
 Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends}
 Suggests: xfs (>=4.0) | xserver
 Conflicts: xbase-clients (<< 4.0), scalable-cyrfonts-x11, scalable-cyrfonts

## scalable-cyrfonts 4.15

=== debian/changelog ===
scalable-cyrfonts (4.15) unstable; urgency=low

  * Use maintscript support in dh_installdeb rather than writing out
    dpkg-maintscript-helper commands by hand.  We now simply Pre-Depend on
    a new enough version of dpkg rather than using
    'dpkg-maintscript-helper supports' guards, leading to more predictable
    behaviour on upgrades.  Patch provided by Colin Watson, closes: #659741.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 13 Feb 2012 21:43:38 +0200

## scalable-cyrfonts 4.16

=== fontinst/Makefile ===
--- 
+++ 
@@ -39,13 +39,12 @@
 OLD_CYRFINST = ../t2-991215/cyrfinst
 CYRFINST = $(if $(NEW_FONTINST), $(NEW_CYRFINST), $(OLD_CYRFINST))
 
-TEXFACES = ftm fhv fcr fag fbk fnc fpl fta fsj fzc
+TEXMF.CNF = /usr/share/texlive/texmf/web2c/texmf.cnf
+
+TEXFACES = ftm fhv fcr fag fbk fsb fpl fta fsj fzc
 TEXENCS = OT1 OT2 T1 TS1 T2A T2B T2C
 
 #################################################################
-
-proba:
-	echo $(CYRFINST)
 
 all: plvplfd tfmvf
 
@@ -90,7 +89,7 @@
 	touch latex_mtx
 
 texmf.cnf: 99cyrfonts-build.cnf
-	cp /etc/texmf/texmf.cnf .
+	cp $(TEXMF.CNF) .
 	cat 99cyrfonts-build.cnf >> texmf.cnf
 
 hugelatex.fmt: texmf.cnf

=== debian/changelog ===
scalable-cyrfonts (4.16) unstable; urgency=low

  * TeX font family renaming: fnc -> fsb (Free Schoolbook).  Closes: #593448.
  * fontinst/Makefile: updated location of texmf.cnf.  Closes: #666647.
  * Bump version (4.15 => 4.16). Closes: #668882.

 -- Anton Zinoviev <zinoviev@debian.org>  Fri, 14 Sep 2012 17:42:37 +0300

## scalable-cyrfonts 4.16%2Bnmu1

=== fontinst/Makefile ===
--- 
+++ 
@@ -39,7 +39,7 @@
 OLD_CYRFINST = ../t2-991215/cyrfinst
 CYRFINST = $(if $(NEW_FONTINST), $(NEW_CYRFINST), $(OLD_CYRFINST))
 
-TEXMF.CNF = /usr/share/texlive/texmf/web2c/texmf.cnf
+TEXMF.CNF = /usr/share/texlive/texmf-dist/web2c/texmf.cnf
 
 TEXFACES = ftm fhv fcr fag fbk fsb fpl fta fsj fzc
 TEXENCS = OT1 OT2 T1 TS1 T2A T2B T2C

=== debian/changelog ===
scalable-cyrfonts (4.16+nmu1) unstable; urgency=medium

  * Non-maintainer upload.
  * fontinst/Makefile: updated location of texmf.cnf.  Closes: #713239.

 -- David Prévot <taffit@debian.org>  Sat, 28 Dec 2013 22:39:50 -0400

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: scalable-cyrfonts
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Anton Zinoviev <zinoviev@debian.org>
+Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: text
 Priority: optional
 Standards-Version: 3.8.1

## scalable-cyrfonts 4.17

=== debian/changelog ===
scalable-cyrfonts (4.17) unstable; urgency=medium

  * Apply a patch by Sascha Steinbiss to use luatex instead of tex.
    Closes: #852929.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 19 Feb 2017 16:47:50 +0300
